#!/bin/bash
#Criado por: Cristiano Rodrigues Siqueira Soares
#Descrição: Script de atualização do Sig Frente.

suv=$(lsb_release -r -s)
versaopacotes() {
    local width=27
    local padding=$((width - 2))

    echo "╔═══Pacotes Instalados═══╗"

    python << EOF
# -*- coding: utf-8 -*-
import nfe
print("║ Python NFC-e: {}".format(nfe.__version__).ljust($padding) + " ║")
import SigUtils
print("║ SigUtils: {}".format(SigUtils.__version__).ljust($padding) + " ║")

with open('/usr/local/sigpdv/version.py', 'r') as file:
    content = file.read()
    exec(content)

versao_pdv = "{}{}".format(version[2], version[3])
print("║ Versão do PDV: {}".format(versao_pdv).ljust($padding) + " ║")
EOF

    echo "╚════════════════════════╝"
}

versao=2408.1
nfce=4.51.16
SigUtils=2.4.14
OldSigUtils=2.4.9
databkp=$(date "+%d%m%Y_sigpdv")

echo "--> Fechando processos Python"
sleep 3
killall python

echo "--> Criando TAR da pasta sigpdv"
sleep 3
cd /usr/local/
tar cfvz $databkp.tar.gz sigpdv

cd /usr/local/sigpdv/logs/
echo "--> Deletando arquivos Exportar, Sigpdv, Stoqdrivers e Update"
echo "--> com mais de 30 dias"
sleep 3
find /usr/local/sigpdv/logs/ -type f -name "*.log" -mtime +30 -exec rm {} \;

cd /usr/local/sigpdv/
echo "--> Deletando arquivos *.DMP"
sleep 3
rm -rf CliSiTef.20*

cd /tmp/
echo "--> Baixando e instalando Python NFE $nfce"
sleep 3
wget download.sigsolucoes.net.br/produtos/crss/PDV/nfe-$nfce.tar.gz
tar xfvz nfe-$nfce.tar.gz
cd nfe-$nfce/
python setup.py install

sleep 3
cd /tmp/
if [[ $suv == '16.04' ]];then
    echo "--> Baixando e instalando SigUtils $OldSigUtils"
    sudo wget download.sigsolucoes.net.br/produtos../crss/PDV/sigutils-$OldSigUtils.tar.gz
    sudo tar xfvz sigutils-$OldSigUtils.tar.gz
    cd sigutils-$OldSigUtils/
    sudo python setup.py install

elif [[ $suv == '18.04' ]];then
    echo "--> Baixando e instalando SigUtils $SigUtils"
    sudo wget download.sigsolucoes.net.br/produtos/crss/PDV/SigUtils-$SigUtils.tar.gz
    sudo tar xfvz SigUtils-$SigUtils.tar.gz
    cd SigUtils-$SigUtils/
    sudo python setup.py install

elif [[ $suv == '14.04' ]];then
    echo "| Versão 14 do Linux  |"
    echo "| Caixa desatualizado |"
    echo "| Necessário formatar |"
    echo "| Processo  encerrado |"
    exit
else
    echo "Algo errado na verão do Sistema Linux"
fi

echo "--> Baixando TAR do sigpdv $versao e descampactando. . ."
sleep 3
cd /tmp/
wget download.sigsolucoes.net.br/produtos/crss/PDV/sigpdv_$versao.tar.gz
cp sigpdv_$versao.tar.gz /usr/local/
cd /usr/local/
tar xfvz sigpdv_$versao.tar.gz
rm -rf sigpdv_$versao.tar.gz
chown caixa:caixa /usr/local/sigpdv/ -R
echo ""

versaopacotes

echo "--> Processo finalizado"

